# usgs.tcl - USGS zip code parser
# Units: kip, in
# Kevin Mackie, 2001/07/26
# mackie@ce.berkeley.edu
#
# Returns 2% in 50 year spectral information for USGS zip code
# hazard data, see data from website
# http://eqint.cr.usgs.gov/eq/html/zipcode.shtml

proc usgs {in} {

set file [open $in "r"]
set begin 0
set indx 1
while {-1 != [gets $file line] } {
   if { $begin == 1} {
      set begin 2
   } elseif { $begin == 2} {
      set parsed [split $line]
      for { set k 0 } { $k < [llength $parsed] } { incr k } {
         set out [lindex $parsed $k]
         if { $out > 2 } {
            set sa($indx) $out
         }
      }
      incr indx
   } else {
      set parsed [split $line "%"]
      if { [llength $parsed] > 1 } {
         set strint [lindex $parsed 0]
         scan $strint "%s" firval
         if { [string first "10" $firval] > -1 } {
            set begin 1
         }
      }
   }
}
close $file

set perc2 "$sa(1) $sa(2) $sa(3)"
return $perc2
}